#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <netdb.h>

#include "gen.h"
#define SERV_FILE	"all_servers"

int 
main(void)
{
	FILE           *fp = NULL, *fp2 = NULL;
	char            buf[1024];
	struct hostent *h;
	struct in_addr  blah;
	int i = 0;
	if((fp = fopen(SERV_FILE, "r")) == NULL)
		err(1, "%s ", SERV_FILE);
	if((fp2 = fopen("servers.h", "w")) == NULL)
		err(1, "%s ", "servers.h");

	while (fgets(buf, sizeof(buf) - 1, fp)) {
		if(i >= MAXSERV) {
			fprintf(stderr, "too many servers, update MAXSERV in config.h file\n");
			break;
		}
		buf[strlen(buf) - 1] = 0;
		h = gethostbyname(buf);
		if (!h)
			continue;
		memcpy(&blah.s_addr, h->h_addr, h->h_length);
		fprintf(fp2, "block[%d] = %#x;",i++, blah.s_addr);
		fprintf(fp2, " /* %s ", h->h_name);
		fprintf(fp2, "(%s) */\n", inet_ntoa(blah));
		memset(buf, 0, sizeof(buf));
	}
		fprintf(fp2, "counter = %d;\n", i);


	fclose(fp);
	fclose(fp2);
	return 0;
}
